# node-combine-mq :: v0.7.0 [![Build Status](https://travis-ci.org/frontendfriends/node-combine-mq.svg?branch=master)](https://travis-ci.org/frontendfriends/node-combine-mq)
> Combine matching media queries into one media query definition. Useful for CSS generated by preprocessors using nested media queries.

## Contributing
[![dependency Status][dependency-image]][dependency-url]
[![devDependency Status][dev-dependency-image]][dev-dependency-url]
[![Build Status][travis-image]][travis-url]
[![Stories in Ready][waffle-image]][waffle-url]

To contribute either check the [Waffle board](https://waffle.io/frontendfriends/node-combine-mq) or [GitHub issues](https://github.com/frontendfriends/node-combine-mq/issues) then work away:

* [Fork it](https://github.com/frontendfriends/node-combine-mq/fork)!
* Create your feature branch: `git checkout -b feature/awesome-feature`
* Commit your changes: `git commit -m 'feat(Project): Adds awesome feature'`
* Push to the branch: `git push origin feature/awesome-feature`
* Submit a [pull request](https://github.com/frontendfriends/node-combine-mq/pulls) :+1:

Tips:
* In lieu of a formal styleguide, take care to maintain the existing coding style.
* Add unit tests for any new or changed functionality.
* Test your code using [Grunt](http://gruntjs.com): `grunt test`
* Install [editorconfig-sublime](https://github.com/sindresorhus/editorconfig-sublime) for Sublime Text to help with consistent code formatting.
* Commit messages loosely adhere to [these guidelines](https://github.com/angular/angular.js/blob/master/CONTRIBUTING.md#commit).
* Versioning adheres to [Semver](http://semver.org).


## Development
Clone repo:

```
$ git clone https://github.com/frontendfriends/node-combine-mq
```

Install dependencies:

```
$ npm install
```

Go into the directory and link for local development:

```
$ cd node-combine-mq && npm link
```

## Release History
* 22-12-2014 - v0.6.0 - Doesn't format output at all by default, uses CSSBeautify instead as an optional parameter
* 21-12-2014 - v0.6.0 - Makes CSS beautify optional, on by default
* 18-12-2014 - v0.5.0 - Adds fix for `pixel-ratio` media queries
* 25-11-2014 - v0.4.0 - Adds CSS beautify for output
* 26-10-2014 - v0.3.0 - Adds functionality to preserve `@font-face`
* 06-10-2014 - v0.2.0
* 29-07-2014 - v0.1.0 - Initial release with first working feature

## License

MIT: http://fefc.mit-license.org


[travis-url]: http://travis-ci.org/frontendfriends/node-combine-mq
[travis-image]: https://secure.travis-ci.org/frontendfriends/node-combine-mq.svg?branch=master
[waffle-url]: https://waffle.io/frontendfriends/node-combine-mq
[waffle-image]: https://badge.waffle.io/frontendfriends/node-combine-mq.svg?label=ready&title=Ready
[dependency-url]: https://david-dm.org/frontendfriends/node-combine-mq#info=dependencies
[dependency-image]: https://david-dm.org/frontendfriends/node-combine-mq/status.svg
[dev-dependency-url]: https://david-dm.org/frontendfriends/node-combine-mq#info=devDependencies
[dev-dependency-image]: https://david-dm.org/frontendfriends/node-combine-mq/dev-status.svg
